XnNode Class Reference

`#include <XnNode.h>`

Inheritance diagram for XnNode:
[legend]

## Public Member Functions

| XnNode ()
XnNode *& | Next ()
const XnNode *const | Next () const
XnNode *& | Previous ()
const XnNode *const | Previous () const
XnValue & | Data ()
const XnValue & | Data () const

## Static Public Member Functions

static XnNode * | Allocate ()
static void | Deallocate (XnNode *pNode)

## Additional Inherited Members

Protected Attributes inherited from XnBaseNode
XnBaseNode * | m_pNext
XnBaseNode * | m_pPrevious
XnValue | m_Data

## Detailed Description

The building block of the data types - XnNode

## Constructor & Destructor Documentation

## XnNode()

XnNode::XnNode | ( |  | ) |

inline

Constructor. Initialize internal representations

## Member Function Documentation

## Allocate()

XnNode * XnNode::Allocate | ( |  | ) |

inline static

## Data() [1/2]

XnValue & XnNode::Data | ( |  | ) |

inline

Get the value in the node (non-const version)

## Data() [2/2]

const XnValue & XnNode::Data | ( |  | ) | const

inline

Get the value in the node (non-const version)

## Deallocate()

void XnNode::Deallocate | ( | XnNode * | pNode | ) |

inline static

## Next() [1/2]

XnNode *& XnNode::Next | ( |  | ) |

inline

Get the next XnNode (non-const version)

## Next() [2/2]

const XnNode *const XnNode::Next | ( |  | ) | const

inline

Get the next XnNode (const version)

## Previous() [1/2]

XnNode *& XnNode::Previous | ( |  | ) |

inline

Get the previous XnNode (non-const version)

## Previous() [2/2]

const XnNode *const XnNode::Previous | ( |  | ) | const

inline

Get the previous XnNode (non-const version)

The documentation for this class was generated from the following file:

- XnNode.h